.editor {
  padding-top: 3.5rem;
  padding-bottom: 8rem;

  &__trial{
    display: block;
    text-align: center;
    color: $main-color;
    font-size: 1.4rem;
  }

  &__section-title {
    margin-top: 7.2rem;
    @include font (26px, #635c73, $main-font, 700);
    text-transform: uppercase;
    text-align: center;
    line-height: 1.5;
  }

  &__main-content {
    margin: 24px 25px 35px 24px;
    @include font (14px, #323232, $secondary-font);
    text-align: center;
  }

  //   git buttons start
  &__git-btns {
    @include flex (center, $jc: center, $direction: row, $wrap: wrap);

  }

  &__git-btn {
    margin: 0 10px 20px 0;
    padding: 3px;

  }

  &__git-btn-link {
    font-family: "Arial", sans-serif;
    text-decoration: none;
    color: #24292e;
    background-color: #eff3f6;
    padding: 6px;
    border: 1px solid rgba(27, 31, 35, .2);
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;

    &:hover {
      background-color: #d6d6d6;
      transition: all 0.5s ease;
    }
  }

  &__git-btn-icon {
    margin-right: 5px;
    color: #24292e;
    vertical-align: middle;
  }

  &__git-btn-count {

    margin: -4px;
    padding: 6px;
    font-family: "Arial", sans-serif;
    background-color: #fff;
    border: 1px solid rgba(27, 31, 35, .2);
    border-bottom-right-radius: 3px;
    border-left: 0;
    border-top-right-radius: 3px;
    font-weight: 600;
    text-decoration: none;
    color: #24292e;
  }



  //   git buttons end
}

//rev media

@include media (480px) {
  .editor {

    &__section-title {
      margin-top: 72px;
      @include font (42px, #635c73, $main-font, 700);
    }

    &__main-content {
      margin: 24px 25px 35px 24px;
      @include font (16px, #323232, $secondary-font);
      text-align: center;
    }
  }

}

@include media (768px) {
  &__main-content {
    margin: 24px 25px 35px 24px;
    @include font (21px, #323232, $secondary-font);
    text-align: center;
  }
}

@include media (1200px) {
  .editor {
    &__section-title {
      margin-top: 72px;
      @include font (54px, #635c73, $main-font, 700);
    }

    &__main-content {
      margin: 24px 10% 35px 10%;
      @include font (21px, #323232, $secondary-font);
      text-align: center;
    }
  }
}
